rte_table_action_sym_crypto_params(3)

NAME
rte_table_action_sym_crypto_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_crypto_sym_xform * xform
uint32_t data_offset

Detailed Description

Symmetric Crypto action parameters (per table rule).

Definition at line 747 of file rte_table_action.h.

Field Documentation

  struct rte_crypto_sym_xform* xform
Xform pointer contains all relevant information

Definition at line 750 of file rte_table_action.h.

  uint32_t data_offset
Offset within the input packet buffer to the first byte of data to be processed by the crypto unit. Offset 0 points to the first byte of the MBUF structure.

Definition at line 757 of file rte_table_action.h.

  struct rte_table_action_vlo cipher_iv
Cipher iv data.

Definition at line 762 of file rte_table_action.h.

  struct rte_table_action_vlo cipher_iv_update
Cipher iv data.

Definition at line 765 of file rte_table_action.h.

  struct rte_table_action_vlo auth_iv
Auth iv data.

Definition at line 768 of file rte_table_action.h.

  struct rte_table_action_vlo auth_iv_update
Auth iv data.

Definition at line 771 of file rte_table_action.h.

  struct rte_table_action_vlo aad
AEAD AAD data.

Definition at line 777 of file rte_table_action.h.

  struct rte_table_action_vlo iv
AEAD iv data.

Definition at line 780 of file rte_table_action.h.

  struct rte_table_action_vlo aad_update
AEAD AAD data.

Definition at line 783 of file rte_table_action.h.

  struct rte_table_action_vlo iv_update
AEAD iv data.

Definition at line 786 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.